<?php

/**
 * MiniBlogApplication.
 *
 * @author Katsuhiro Ogawa
 */
class MiniBlogApplication extends Application
{
    protected array $login_action = ['account', 'signin'];

    public function getRootDir(): string
    {
        return dirname(__FILE__, 2);
    }

    protected function registerRoutes(): array
    {
        return [
            ['GET', '/', ['controller' => StatusController::class, 'action' => 'index']],
            ['POST', '/status/post', ['controller' => StatusController::class, 'action' => 'post']],
            ['GET', '/user/{user_name}', ['controller' => StatusController::class, 'action' => 'user']],
            ['GET', '/user/{user_name}/status/{id:\d+}', ['controller' => StatusController::class, 'action' => 'show']],
            ['GET', '/account', ['controller' => AccountController::class, 'action' => 'index']],
            ['GET|POST', '/account/{action}', ['controller' => AccountController::class]],
            ['POST', '/follow', ['controller' => AccountController::class, 'action' => 'follow']],
        ];
    }

    protected function configure(): void
    {
        $this->db_manager->connect('master', [
            'dsn' => 'mysql:dbname=\2Perfectphp\mini_blog=localhost;charset=utf8mb4',
            'user' => 'root',
            'password' => 'root',
        ]);
    }
}
?>