CREATE TABLE user (
    id INT AUTO_INCREMENT PRIMARY KEY,
    user_name VARCHAR(20) NOT NULL,
    password VARCHAR(40) NOT NULL,
    created_at DATETIME,
    UNIQUE KEY user_name_index(user_name)
) ENGINE=InnoDB;

CREATE TABLE following (
    user_id INT,
    following_id INT,
    PRIMARY KEY(user_id, following_id),
    FOREIGN KEY(user_id) REFERENCES user(id),
    FOREIGN KEY(following_id) REFERENCES user(id)
) ENGINE=InnoDB;

CREATE TABLE status (
    id INT AUTO_INCREMENT PRIMARY KEY,
    user_id INT NOT NULL,
    body VARCHAR(255),
    created_at DATETIME,
    INDEX user_id_index(user_id),
    FOREIGN KEY(user_id) REFERENCES user(id)
) ENGINE=InnoDB;